@import '../../styles/variables';
@import '../../styles/mixins';

.wr {
  width: 100%;
  min-height: 100vh;

  &_title {
    text-align: center;
    margin: 2rem;
    font-size: 2.5rem;
  }

  &_form {
    font-size: 1.5rem;
    width: 40rem;
    margin: 0 auto;

    &_example {
      color: red;
      font-size: 1rem;

      & span:nth-child(2) {
        color: green;
        font-size: 1.1rem;
      }
    }

    input {
      width: 100%;
      margin: 0.5rem;
      line-height: 2rem;
      font-size: 1.3rem;

      border-radius: 5px;
      background: #e0e0e0;
      box-shadow: inset 20px 20px 60px #bebebe,
      inset -20px -20px 60px #ffffff;
    }

    .btn {
      text-align: center;

      &_btn {
        cursor: pointer;
        width: 50%;
        margin: 2rem;
      }
    }
  }
}


.form_status {
  @include gradient-A;
  margin: 1rem 0;
  text-align: center;

  p {
    overflow-wrap: break-word;
    @include gradient-B;
  }
}

.unloading {
  @include gradient-A;

  &_ul {
    @include gradient-B;

    &_li {
      display: flex;
      width: 100%;

      & span {
        padding: 0 .5rem;
        font-size: 1rem;
      }

      & span:nth-child(1) {
        width: 15%;
        color: red;
      }

      & span:nth-child(2) {
        width: 85%;
        color: green;
        overflow-wrap: break-word;
        border-left: $border-a;
      }
    }
  }
}

@include gradient;


.title--size-a {
  font-size: 1.5rem;
}

.title--color-a {
  color: gray;
}

.title--color-b {
  color: red;
}